Package ghidra.net

# Class ApplicationSSLSocketFactory

java.lang.Object
javax.net.SocketFactory
javax.net.ssl.SSLSocketFactory
ghidra.net.ApplicationSSLSocketFactory

public class ApplicationSSLSocketFactory extends SSLSocketFactory
`ApplicationSSLSocketFactory` provides a replacement for the default `SSLSocketFactory` which utilizes the default SSLContext established by `SSLContextInitializer`.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ApplicationSSLSocketFactory()`
  ApplicationSSLSocketFactory constructor.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Socket`
  `createSocket(String host, int port)`
  `Socket`
  `createSocket(String host, int port, InetAddress localHost, int localPort)`
  `Socket`
  `createSocket(InetAddress host, int port)`
  `Socket`
  `createSocket(InetAddress address, int port, InetAddress localAddress, int localPort)`
  `Socket`
  `createSocket(Socket s, String host, int port, boolean autoClose)`
  `String[]`
  `getDefaultCipherSuites()`
  `String[]`
  `getSupportedCipherSuites()`

  ### Methods inherited from class javax.net.ssl.SSLSocketFactory

  `createSocket, getDefault`

  ### Methods inherited from class javax.net.SocketFactory

  `createSocket`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ApplicationSSLSocketFactory

    public ApplicationSSLSocketFactory()
    ApplicationSSLSocketFactory constructor. SSLContext initialization will be performed using `SSLContextInitializer`.

- ## Method Details

  - ### createSocket

    public Socket createSocket(Socket s, String host, int port, boolean autoClose) throws IOException
    Specified by:
      `createSocket` in class `SSLSocketFactory`
    Throws:
      `IOException`

  - ### getDefaultCipherSuites

    public String[] getDefaultCipherSuites()
    Specified by:
      `getDefaultCipherSuites` in class `SSLSocketFactory`

  - ### getSupportedCipherSuites

    public String[] getSupportedCipherSuites()
    Specified by:
      `getSupportedCipherSuites` in class `SSLSocketFactory`

  - ### createSocket

    public Socket createSocket(String host, int port) throws IOException, UnknownHostException
    Specified by:
      `createSocket` in class `SocketFactory`
    Throws:
      `IOException`
      `UnknownHostException`

  - ### createSocket

    public Socket createSocket(InetAddress host, int port) throws IOException
    Specified by:
      `createSocket` in class `SocketFactory`
    Throws:
      `IOException`

  - ### createSocket

    public Socket createSocket(String host, int port, InetAddress localHost, int localPort) throws IOException, UnknownHostException
    Specified by:
      `createSocket` in class `SocketFactory`
    Throws:
      `IOException`
      `UnknownHostException`

  - ### createSocket

    public Socket createSocket(InetAddress address, int port, InetAddress localAddress, int localPort) throws IOException
    Specified by:
      `createSocket` in class `SocketFactory`
    Throws:
      `IOException`